/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.executePlan.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.Partition;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;


/**
 * 计划执行任务表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2023-11-13 14:35:52  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "计划执行任务表")
public class AtuPlanTask extends Partition implements Serializable
{
  public static final String KEY_id = "id";
  public static final String KEY_batchId = "batchId";
  public static final String KEY_envId = "envId";
  public static final String KEY_scriptId = "scriptId";
  public static final String KEY_versionId = "versionId";
  public static final String KEY_versionName = "versionName";
  public static final String KEY_scriptName = "scriptName";
  public static final String KEY_scriptJson = "scriptJson";
  public static final String KEY_caseId = "caseId";
  public static final String KEY_caseNo = "caseNo";
  public static final String KEY_caseName = "caseName";
  public static final String KEY_caseType = "caseType";
  public static final String KEY_caseParam = "caseParam";
  public static final String KEY_engineId = "engineId";
  public static final String KEY_deviceId = "deviceId";
  public static final String KEY_appId = "appId";
  public static final String KEY_status = "status";
  public static final String KEY_startTime = "startTime";
  public static final String KEY_endTime = "endTime";
  public static final String KEY_errorMsg = "errorMsg";
  public static final String KEY_videoUrl = "videoUrl";
  public static final String KEY_execResultFile = "execResultFile";
  public static final String KEY_bugId = "bugId";
  public static final String KEY_perDataPath = "perDataPath";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_lastHeartbeatTime = "lastHeartbeatTime";

  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  @Size(max = 32, message="主键-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 调度主键<br>
   */
  @ApiModelProperty("调度主键")
  @Size(max = 32, message="调度主键-batchId: 数据长度不能 > 32" )
  private String batchId;
  /**
   * 环境id<br>
   */
  @ApiModelProperty("环境id")
  @Size(max = 32, message="环境id-envId: 数据长度不能 > 32" )
  private String envId;
  /**
   * 脚本主键<br>
   */
  @ApiModelProperty("脚本主键")
  @Size(max = 32, message="脚本主键-scriptId: 数据长度不能 > 32" )
  private String scriptId;
  /**
   * 脚本版本id<br>
   */
  @ApiModelProperty("脚本版本id")
  private Integer versionId;
  /**
   * 脚本版本名称<br>
   */
  @ApiModelProperty("脚本版本名称")
  @Size(max = 255, message="脚本版本名称-versionName: 数据长度不能 > 255" )
  private String versionName;
  /**
   * 脚本名称<br>
   */
  @ApiModelProperty("脚本名称")
  @Size(max = 90, message="脚本名称-scriptName: 数据长度不能 > 90" )
  private String scriptName;
  /**
   * 脚本存放地址<br>
   */
  @ApiModelProperty("脚本存放地址")
  @Size(max = 100, message="脚本存放地址-scriptJson: 数据长度不能 > 100" )
  private String scriptJson;
  /**
   * 用例主键<br>
   */
  @ApiModelProperty("用例主键")
  @Size(max = 32, message="用例主键-caseId: 数据长度不能 > 32" )
  private String caseId;
  /**
   * 用例编号<br>
   */
  @ApiModelProperty("用例编号")
  @Size(max = 32, message="用例编号-caseNo: 数据长度不能 > 32" )
  private String caseNo;
  /**
   * 用例名称<br>
   */
  @ApiModelProperty("用例名称")
  @Size(max = 90, message="用例名称-caseName: 数据长度不能 > 90" )
  private String caseName;
  /**
   * 用例类型;0-接口，1-PC/BS，2-PC/CS，3-安卓，4-ios，5-场景用例<br>
   */
  @ApiModelProperty("用例类型;0-接口，1-PC/BS，2-PC/CS，3-安卓，4-ios，5-场景用例")
  @Size(max = 1, message="用例类型;0-接口，1-PC/BS，2-PC/CS，3-安卓，4-ios，5-场景用例-caseType: 数据长度不能 > 1" )
  private String caseType;
  /**
   * 用例参数<br>
   */
  @ApiModelProperty("用例参数")
  @Size(max = 65535, message="用例参数-caseParam: 数据长度不能 > 65535" )
  private String caseParam;
  /**
   * 引擎主键<br>
   */
  @ApiModelProperty("引擎主键")
  @Size(max = 32, message="引擎主键-engineId: 数据长度不能 > 32" )
  private String engineId;
  /**
   * 设备主键<br>
   */
  @ApiModelProperty("设备主键")
  @Size(max = 128, message="设备主键-deviceId: 数据长度不能 > 128" )
  private String deviceId;
  /**
   * 应用主键<br>
   */
  @ApiModelProperty("应用主键")
  @Size(max = 32, message="应用主键-appId: 数据长度不能 > 32" )
  private String appId;
  /**
   * 状态;0-等待中，1-执行中，2-执行成功，3-执行失败，4-断言失败，5-取消，6-超时<br>
   */
  @ApiModelProperty("状态;0-等待中，1-执行中，2-执行成功，3-执行失败，4-断言失败，5-取消，6-超时")
  @Size(max = 1, message="状态;0-等待中，1-执行中，2-执行成功，3-执行失败，4-断言失败，5-取消，6-超时-status: 数据长度不能 > 1" )
  private String status;
  /**
   * 开始时间<br>
   */
  @ApiModelProperty("开始时间")
  private Long startTime;
  /**
   * 结束时间<br>
   */
  @ApiModelProperty("结束时间")
  private Long endTime;
  /**
   * 错误信息<br>
   */
  @ApiModelProperty("错误信息")
  @Size(max = 65535, message="错误信息-errorMsg: 数据长度不能 > 65535" )
  private String errorMsg;
  /**
   * 视频地址<br>
   */
  @ApiModelProperty("视频地址")
  @Size(max = 255, message="视频地址-videoUrl: 数据长度不能 > 255" )
  private String videoUrl;
  /**
   * 执行结果文件<br>
   */
  @ApiModelProperty("执行结果文件")
  @Size(max = 512, message="执行结果文件-execResultFile: 数据长度不能 > 512" )
  private String execResultFile;
  /**
   * 断言缺陷主键<br>
   */
  @ApiModelProperty("断言缺陷主键")
  @Size(max = 32, message="断言缺陷主键-bugId: 数据长度不能 > 32" )
  private String bugId;
  /**
   * 任务性能数据文件存放地址<br>
   */
  @ApiModelProperty("任务性能数据文件存放地址")
  @Size(max = 128, message="任务性能数据文件存放地址-perDataPath: 数据长度不能 > 128" )
  private String perDataPath;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 执行心跳时间<br>
   */
  @ApiModelProperty("执行心跳时间")
  private Date lastHeartbeatTime;

  /**
   * 主键<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 调度主键<br>
   */
  public String getBatchId()
  {
      return batchId;
    }

  /**
   * 调度主键<br>
   *
   * @param batchId 调度主键
   */
  public void setBatchId(String batchId)
  {
      this.batchId = batchId;
    }
  /**
   * 环境id<br>
   */
  public String getEnvId()
  {
      return envId;
    }

  /**
   * 环境id<br>
   *
   * @param envId 环境id
   */
  public void setEnvId(String envId)
  {
      this.envId = envId;
    }
  /**
   * 脚本主键<br>
   */
  public String getScriptId()
  {
      return scriptId;
    }

  /**
   * 脚本主键<br>
   *
   * @param scriptId 脚本主键
   */
  public void setScriptId(String scriptId)
  {
      this.scriptId = scriptId;
    }
  /**
   * 脚本版本id<br>
   */
  public Integer getVersionId()
  {
      return versionId;
    }

  /**
   * 脚本版本id<br>
   *
   * @param versionId 脚本版本id
   */
  public void setVersionId(Integer versionId)
  {
      this.versionId = versionId;
    }
  /**
   * 脚本版本名称<br>
   */
  public String getVersionName()
  {
      return versionName;
    }

  /**
   * 脚本版本名称<br>
   *
   * @param versionName 脚本版本名称
   */
  public void setVersionName(String versionName)
  {
      this.versionName = versionName;
    }
  /**
   * 脚本名称<br>
   */
  public String getScriptName()
  {
      return scriptName;
    }

  /**
   * 脚本名称<br>
   *
   * @param scriptName 脚本名称
   */
  public void setScriptName(String scriptName)
  {
      this.scriptName = scriptName;
    }
  /**
   * 脚本存放地址<br>
   */
  public String getScriptJson()
  {
      return scriptJson;
    }

  /**
   * 脚本存放地址<br>
   *
   * @param scriptJson 脚本存放地址
   */
  public void setScriptJson(String scriptJson)
  {
      this.scriptJson = scriptJson;
    }
  /**
   * 用例主键<br>
   */
  public String getCaseId()
  {
      return caseId;
    }

  /**
   * 用例主键<br>
   *
   * @param caseId 用例主键
   */
  public void setCaseId(String caseId)
  {
      this.caseId = caseId;
    }
  /**
   * 用例编号<br>
   */
  public String getCaseNo()
  {
      return caseNo;
    }

  /**
   * 用例编号<br>
   *
   * @param caseNo 用例编号
   */
  public void setCaseNo(String caseNo)
  {
      this.caseNo = caseNo;
    }
  /**
   * 用例名称<br>
   */
  public String getCaseName()
  {
      return caseName;
    }

  /**
   * 用例名称<br>
   *
   * @param caseName 用例名称
   */
  public void setCaseName(String caseName)
  {
      this.caseName = caseName;
    }
  /**
   * 用例类型;0-接口，1-PC/BS，2-PC/CS，3-安卓，4-ios，5-场景用例<br>
   */
  public String getCaseType()
  {
      return caseType;
    }

  /**
   * 用例类型;0-接口，1-PC/BS，2-PC/CS，3-安卓，4-ios，5-场景用例<br>
   *
   * @param caseType 用例类型;0-接口，1-PC/BS，2-PC/CS，3-安卓，4-ios，5-场景用例
   */
  public void setCaseType(String caseType)
  {
      this.caseType = caseType;
    }
  /**
   * 用例参数<br>
   */
  public String getCaseParam()
  {
      return caseParam;
    }

  /**
   * 用例参数<br>
   *
   * @param caseParam 用例参数
   */
  public void setCaseParam(String caseParam)
  {
      this.caseParam = caseParam;
    }
  /**
   * 引擎主键<br>
   */
  public String getEngineId()
  {
      return engineId;
    }

  /**
   * 引擎主键<br>
   *
   * @param engineId 引擎主键
   */
  public void setEngineId(String engineId)
  {
      this.engineId = engineId;
    }
  /**
   * 设备主键<br>
   */
  public String getDeviceId()
  {
      return deviceId;
    }

  /**
   * 设备主键<br>
   *
   * @param deviceId 设备主键
   */
  public void setDeviceId(String deviceId)
  {
      this.deviceId = deviceId;
    }
  /**
   * 应用主键<br>
   */
  public String getAppId()
  {
      return appId;
    }

  /**
   * 应用主键<br>
   *
   * @param appId 应用主键
   */
  public void setAppId(String appId)
  {
      this.appId = appId;
    }
  /**
   * 状态;0-等待中，1-执行中，2-执行成功，3-执行失败，4-断言失败，5-取消，6-超时<br>
   */
  public String getStatus()
  {
      return status;
    }

  /**
   * 状态;0-等待中，1-执行中，2-执行成功，3-执行失败，4-断言失败，5-取消，6-超时<br>
   *
   * @param status 状态;0-等待中，1-执行中，2-执行成功，3-执行失败，4-断言失败，5-取消，6-超时
   */
  public void setStatus(String status)
  {
      this.status = status;
    }
  /**
   * 开始时间<br>
   */
  public Long getStartTime()
  {
      return startTime;
    }

  /**
   * 开始时间<br>
   *
   * @param startTime 开始时间
   */
  public void setStartTime(Long startTime)
  {
      this.startTime = startTime;
    }
  /**
   * 结束时间<br>
   */
  public Long getEndTime()
  {
      return endTime;
    }

  /**
   * 结束时间<br>
   *
   * @param endTime 结束时间
   */
  public void setEndTime(Long endTime)
  {
      this.endTime = endTime;
    }
  /**
   * 错误信息<br>
   */
  public String getErrorMsg()
  {
      return errorMsg;
    }

  /**
   * 错误信息<br>
   *
   * @param errorMsg 错误信息
   */
  public void setErrorMsg(String errorMsg)
  {
      this.errorMsg = errorMsg;
    }
  /**
   * 视频地址<br>
   */
  public String getVideoUrl()
  {
      return videoUrl;
    }

  /**
   * 视频地址<br>
   *
   * @param videoUrl 视频地址
   */
  public void setVideoUrl(String videoUrl)
  {
      this.videoUrl = videoUrl;
    }
  /**
   * 执行结果文件<br>
   */
  public String getExecResultFile()
  {
      return execResultFile;
    }

  /**
   * 执行结果文件<br>
   *
   * @param execResultFile 执行结果文件
   */
  public void setExecResultFile(String execResultFile)
  {
      this.execResultFile = execResultFile;
    }
  /**
   * 断言缺陷主键<br>
   */
  public String getBugId()
  {
      return bugId;
    }

  /**
   * 断言缺陷主键<br>
   *
   * @param bugId 断言缺陷主键
   */
  public void setBugId(String bugId)
  {
      this.bugId = bugId;
    }
  /**
   * 任务性能数据文件存放地址<br>
   */
  public String getPerDataPath()
  {
      return perDataPath;
    }

  /**
   * 任务性能数据文件存放地址<br>
   *
   * @param perDataPath 任务性能数据文件存放地址
   */
  public void setPerDataPath(String perDataPath)
  {
      this.perDataPath = perDataPath;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 执行心跳时间<br>
   */
  public Date getLastHeartbeatTime()
  {
      if(lastHeartbeatTime != null)
    {
      return (Date)lastHeartbeatTime.clone();
    }
    return null;
    }

  /**
   * 执行心跳时间<br>
   *
   * @param lastHeartbeatTime 执行心跳时间
   */
  public void setLastHeartbeatTime(Date lastHeartbeatTime)
  {
      if(lastHeartbeatTime != null)
    {
      this.lastHeartbeatTime = (Date)lastHeartbeatTime.clone();
    }
    }

  public AtuPlanTask()
  {
  }

}
